@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Text:ital@0;1&display=swap");
:root {
  --bgColor: rgb(50, 65, 52);
  --text: white;
  --peripherals: ;
  --defWidth: 200px;
  --transitions: 0.3s ease-in-out;
  --borderRadius: calc(infinity * 1px);
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "DM Serif Text", serif;
  font-weight: 400;
  font-style: italic;
}
body {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Arial, sans-serif;
  line-height: 1.6;
  overflow: hidden;
  flex-direction: column;
}
h1{
    font-size: 40px;
}
.contain {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin: 20px 0;
  flex-direction: column;
}
input:focus,
button:focus {
  outline: none;
}
input,
button {
  border: none;
  background: var(--bgColor);
  font-size: 25px;
}
input {
  padding: calc(var(--defWidth) / 10);
  border-radius: var(--borderRadius);
  width: 400px;
  transition: var(--transitions);
  color: var(--text);
}
input::placeholder {
  color: var(--text);
}
button {
  padding: calc(var(--defWidth) / 10);
  font-size: 16px;
  color: var(--text);
  cursor: pointer;
  border-radius: var(--borderRadius);
  transition: all var(--transitions);
  width: 150px;
}
button:hover {
  filter: opacity(0.7);
}
button:active {
  transform: scale(0.9);
}
.container {
  display: flex;
  width: 90vw;
  max-width: 600px;
  padding: 20px;
  border-radius: var(--borderRadius);
  box-shadow: 0 4px 8px rgb(108, 145, 113);
  gap: 20px;
}
#results {
  display: flex;
  flex-direction: column;
  height: 60vh;
  width: 50vw;
  padding: 20px;
  border-radius: 25px;
  background: var(--bgColor);
  color: var(--text);
  overflow-y: auto;
}
.movieData img{
    object-fit: cover;
    border-radius: 15px;
    width: 100%;
    height: auto;
}
.movieData {
    display: flex;
    gap: 20px;
    flex-direction: column;
}